Index: cprs/trunk/CPRS-Chart/fLabs.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/fLabs.dfm	(revision 830)
+++ cprs/trunk/CPRS-Chart/fLabs.dfm	(revision 1679)
@@ -7,8 +7,6 @@
   HelpFile = 'qnoback'
   OnDestroy = FormDestroy
-  ExplicitLeft = 628
-  ExplicitTop = 237
   ExplicitWidth = 648
-  ExplicitHeight = 728
+  ExplicitHeight = 735
   PixelsPerInch = 96
   TextHeight = 13
@@ -20,4 +18,18 @@
     Height = 696
     ExplicitHeight = 355
+  end
+  object Label1: TLabel [2]
+    Left = 144
+    Top = 88
+    Width = 3
+    Height = 13
+    Visible = False
+  end
+  object Label2: TLabel [3]
+    Left = 128
+    Top = 88
+    Width = 3
+    Height = 13
+    Visible = False
   end
   inherited pnlLeft: TPanel
@@ -170,9 +182,8 @@
           '1^Today'
           '8^One Week'
-          '15^Two Weeks'
           '31^One Month'
           '183^Six Months'
           '366^One Year'
-          '732^Two Years'
+          '732^Two Year'
           '50000^All Results')
         ParentShowHint = False
@@ -218,5 +229,5 @@
     object sptHorzRight: TSplitter
       Left = 0
-      Top = 299
+      Top = 296
       Width = 539
       Height = 4
@@ -225,12 +236,11 @@
       Visible = False
       OnCanResize = sptHorzRightCanResize
-      OnMoved = sptHorzRightMoved
       ExplicitTop = 288
     end
     object pnlRightBottom: TPanel
       Left = 0
-      Top = 303
+      Top = 300
       Width = 539
-      Height = 373
+      Height = 376
       Align = alClient
       TabOrder = 0
@@ -260,5 +270,5 @@
         Top = 20
         Width = 537
-        Height = 352
+        Height = 355
         Align = alClient
         Color = clCream
@@ -280,7 +290,7 @@
     object pnlRightTop: TPanel
       Left = 0
-      Top = 25
+      Top = 45
       Width = 539
-      Height = 274
+      Height = 251
       Align = alTop
       TabOrder = 1
@@ -442,54 +452,10 @@
           BevelOuter = bvNone
           TabOrder = 0
-          object lblOld: TOROffsetLabel
-            Left = 4
-            Top = 6
-            Width = 41
-            Height = 15
-            Caption = 'Oldest'
-            HorzOffset = 2
-            Transparent = False
-            VertOffset = 2
-            WordWrap = False
-          end
-          object lblPrev: TOROffsetLabel
-            Left = 48
-            Top = 6
-            Width = 49
-            Height = 15
-            Caption = 'Previous'
-            HorzOffset = 2
-            Transparent = False
-            VertOffset = 2
-            WordWrap = False
-          end
-          object lblNext: TOROffsetLabel
-            Left = 246
-            Top = 6
-            Width = 31
-            Height = 15
-            Caption = 'Next'
-            HorzOffset = 2
-            Transparent = False
-            VertOffset = 2
-            WordWrap = False
-          end
-          object lblRecent: TOROffsetLabel
-            Left = 287
-            Top = 6
-            Width = 46
-            Height = 15
-            Caption = 'Newest'
-            HorzOffset = 2
-            Transparent = False
-            VertOffset = 2
-            WordWrap = False
-          end
           object lblMostRecent: TLabel
-            Left = 368
-            Top = 29
-            Width = 144
+            Left = 361
+            Top = 16
+            Width = 129
             Height = 13
-            Caption = 'Most Recent Lab Results'
+            Caption = 'Most Recent Lab Data'
             Font.Charset = DEFAULT_CHARSET
             Font.Color = clWindowText
@@ -499,17 +465,23 @@
             ParentFont = False
           end
-          object lblCollection: TLabel
-            Left = 100
-            Top = 8
-            Width = 44
+          object lblSample: TLabel
+            Left = 1
+            Top = 42
+            Width = 64
             Height = 13
-            Alignment = taCenter
-            Caption = 'Collecte&d'
-            FocusControl = lblDate
+            Caption = 'Specimen: '
+            Color = clWindow
+            Font.Charset = DEFAULT_CHARSET
+            Font.Color = clWindowText
+            Font.Height = -11
+            Font.Name = 'MS Sans Serif'
+            Font.Style = [fsBold]
+            ParentColor = False
+            ParentFont = False
           end
           object lblDate: TVA508StaticText
             Name = 'lblDate'
-            Left = 95
-            Top = 29
+            Left = 150
+            Top = 2
             Width = 7
             Height = 15
@@ -523,13 +495,14 @@
             ParentFont = False
             TabOrder = 0
+            Visible = False
             OnEnter = lblDateEnter
             ShowAccelChar = True
           end
           object cmdNext: TButton
-            Left = 238
-            Top = 23
-            Width = 45
+            Left = 191
+            Top = 10
+            Width = 82
             Height = 25
-            Caption = '>'
+            Caption = 'Next >'
             Font.Charset = DEFAULT_CHARSET
             Font.Color = clBtnText
@@ -542,9 +515,9 @@
           end
           object cmdPrev: TButton
-            Left = 49
-            Top = 23
-            Width = 45
+            Left = 87
+            Top = 10
+            Width = 82
             Height = 25
-            Caption = '<'
+            Caption = '< Previous'
             Font.Charset = DEFAULT_CHARSET
             Font.Color = clBtnText
@@ -557,9 +530,9 @@
           end
           object cmdRecent: TButton
-            Left = 283
-            Top = 23
-            Width = 45
+            Left = 279
+            Top = 10
+            Width = 76
             Height = 25
-            Caption = '>>'
+            Caption = 'Newest >>'
             Font.Charset = DEFAULT_CHARSET
             Font.Color = clBtnText
@@ -572,9 +545,9 @@
           end
           object cmdOld: TButton
-            Left = 4
-            Top = 23
-            Width = 45
+            Left = 5
+            Top = 10
+            Width = 76
             Height = 25
-            Caption = '<<'
+            Caption = '<< Oldest'
             Font.Charset = DEFAULT_CHARSET
             Font.Color = clBtnText
@@ -588,20 +561,7 @@
         end
       end
-      object TabControl1: TTabControl
+      object grdLab: TCaptionStringGrid
         Left = 1
         Top = 62
-        Width = 537
-        Height = 16
-        Align = alTop
-        HotTrack = True
-        Style = tsButtons
-        TabHeight = 16
-        TabOrder = 1
-        Visible = False
-        OnChange = TabControl1Change
-      end
-      object grdLab: TCaptionStringGrid
-        Left = 1
-        Top = 78
         Width = 537
         Height = 33
@@ -617,13 +577,8 @@
         Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goColSizing]
         ParentFont = False
-        TabOrder = 2
+        TabOrder = 1
         Visible = False
+        OnTopLeftChanged = grdLabTopLeftChanged
         Caption = 'Laboratory Results'
-        ColWidths = (
-          64
-          64
-          64
-          64
-          64)
         RowHeights = (
           15
@@ -632,5 +587,5 @@
       object pnlChart: TPanel
         Left = 1
-        Top = 111
+        Top = 95
         Width = 537
         Height = 85
@@ -638,5 +593,5 @@
         BevelOuter = bvNone
         Caption = 'no results to graph'
-        TabOrder = 3
+        TabOrder = 2
         Visible = False
         object lblGraph: TLabel
@@ -749,7 +704,7 @@
       object lvReports: TCaptionListView
         Left = 1
-        Top = 196
+        Top = 180
         Width = 537
-        Height = 77
+        Height = 70
         Hint = 'To sort, click on column headers|'
         Align = alClient
@@ -763,5 +718,5 @@
         PopupMenu = PopupMenu2
         ShowHint = True
-        TabOrder = 4
+        TabOrder = 3
         ViewStyle = vsReport
         OnColumnClick = lvReportsColumnClick
@@ -775,44 +730,64 @@
       Top = 0
       Width = 539
-      Height = 25
+      Height = 45
       Align = alTop
       TabOrder = 2
-      object lblHeading: TOROffsetLabel
+      object pnlRightTopHeaderTop: TPanel
         Left = 1
         Top = 1
-        Width = 94
-        Height = 23
-        Align = alLeft
-        Caption = 'Laboratory Results'
-        HorzOffset = 2
-        Transparent = False
-        VertOffset = 6
-        WordWrap = False
-        ExplicitHeight = 39
-      end
-      object lblTitle: TOROffsetLabel
-        Left = 95
-        Top = 1
-        Width = 346
-        Height = 23
+        Width = 537
+        Height = 21
+        Align = alTop
+        TabOrder = 0
+        object lblHeading: TOROffsetLabel
+          Left = 137
+          Top = 1
+          Width = 302
+          Height = 19
+          Align = alClient
+          HorzOffset = 2
+          Transparent = False
+          VertOffset = 6
+          WordWrap = False
+          ExplicitWidth = 304
+          ExplicitHeight = 25
+        end
+        object lblTitle: TOROffsetLabel
+          Left = 1
+          Top = 1
+          Width = 136
+          Height = 19
+          Align = alLeft
+          HorzOffset = 3
+          Transparent = True
+          VertOffset = 6
+          WordWrap = False
+          ExplicitLeft = 12
+          ExplicitTop = 19
+        end
+        object chkMaxFreq: TCheckBox
+          Left = 439
+          Top = 1
+          Width = 97
+          Height = 19
+          Align = alRight
+          Caption = 'Max/Site OFF'
+          TabOrder = 0
+          Visible = False
+          OnClick = chkMaxFreqClick
+        end
+      end
+      object TabControl1: TTabControl
+        Left = 1
+        Top = 22
+        Width = 537
+        Height = 22
         Align = alClient
-        HorzOffset = 3
-        Transparent = True
-        VertOffset = 6
-        WordWrap = False
-        ExplicitLeft = 80
-        ExplicitWidth = 369
-        ExplicitHeight = 39
-      end
-      object chkMaxFreq: TCheckBox
-        Left = 441
-        Top = 1
-        Width = 97
-        Height = 23
-        Align = alRight
-        Caption = 'Max/Site OFF'
-        TabOrder = 0
+        HotTrack = True
+        Style = tsButtons
+        TabHeight = 16
+        TabOrder = 1
         Visible = False
-        OnClick = chkMaxFreqClick
+        OnChange = TabControl1Change
       end
     end
@@ -955,82 +930,60 @@
         'Status = stsOK')
       (
+        'Component = grdLab'
+        'Status = stsDefault')
+      (
+        'Component = pnlChart'
+        'Status = stsDefault')
+      (
+        'Component = lstTestGraph'
+        'Status = stsDefault')
+      (
+        'Component = chtChart'
+        'Status = stsDefault')
+      (
+        'Component = pnlRightTopHeader'
+        'Status = stsDefault')
+      (
+        'Component = pnlFooter'
+        'Status = stsDefault')
+      (
+        'Component = lstTests'
+        'Status = stsDefault')
+      (
+        'Component = lvReports'
+        'Status = stsDefault')
+      (
+        'Component = pnlLefTop'
+        'Status = stsDefault')
+      (
+        'Component = tvReports'
+        'Status = stsDefault')
+      (
+        'Component = pnlLeftBottom'
+        'Status = stsDefault')
+      (
+        'Component = lstQualifier'
+        'Status = stsDefault')
+      (
+        'Component = lstHeaders'
+        'Status = stsDefault')
+      (
+        'Component = lstDates'
+        'Status = stsDefault')
+      (
+        'Component = pnlOtherTests'
+        'Status = stsDefault')
+      (
+        'Component = cmdOtherTests'
+        'Status = stsDefault')
+      (
+        'Component = pnlRightTopHeaderTop'
+        'Status = stsDefault')
+      (
+        'Component = chkMaxFreq'
+        'Status = stsDefault')
+      (
         'Component = TabControl1'
-        'Status = stsDefault')
-      (
-        'Component = grdLab'
-        'Status = stsDefault')
-      (
-        'Component = pnlChart'
-        'Status = stsDefault')
-      (
-        'Component = lstTestGraph'
-        'Status = stsDefault')
-      (
-        'Component = chtChart'
-        'Status = stsDefault')
-      (
-        'Component = pnlRightTopHeader'
-        'Status = stsDefault')
-      (
-        'Component = pnlFooter'
-        'Status = stsDefault')
-      (
-        'Component = lstTests'
-        'Status = stsDefault')
-      (
-        'Component = lvReports'
-        'Status = stsDefault')
-      (
-        'Component = pnlLefTop'
-        'Status = stsDefault')
-      (
-        'Component = tvReports'
-        'Status = stsDefault')
-      (
-        'Component = pnlLeftBottom'
-        'Status = stsDefault')
-      (
-        'Component = lstQualifier'
-        'Status = stsDefault')
-      (
-        'Component = lstHeaders'
-        'Status = stsDefault')
-      (
-        'Component = lstDates'
-        'Status = stsDefault')
-      (
-        'Component = pnlOtherTests'
-        'Status = stsDefault')
-      (
-        'Component = cmdOtherTests'
-        'Status = stsDefault')
-      (
-        'Component = chkMaxFreq'
         'Status = stsDefault'))
-  end
-  object PopupMenu1: TPopupMenu
-    OnPopup = PopupMenu1Popup
-    Left = 5
-    Top = 280
-    object GotoTop1: TMenuItem
-      Caption = 'Go to Top'
-      Enabled = False
-      OnClick = GotoTop1Click
-    end
-    object GotoBottom1: TMenuItem
-      Caption = 'Go to Bottom'
-      Enabled = False
-      OnClick = GotoBottom1Click
-    end
-    object FreezeText1: TMenuItem
-      Caption = 'Freeze Text'
-      Enabled = False
-      OnClick = FreezeText1Click
-    end
-    object UnfreezeText1: TMenuItem
-      Caption = 'Un-freeze Text'
-      Enabled = False
-      OnClick = UnfreezeText1Click
-    end
   end
   object popChart: TPopupMenu
@@ -1093,6 +1046,6 @@
     Interval = 100
     OnTimer = Timer1Timer
-    Left = 253
-    Top = 45
+    Left = 605
+    Top = 69
   end
   object PopupMenu2: TPopupMenu
@@ -1116,7 +1069,7 @@
   end
   object PopupMenu3: TPopupMenu
-    OnPopup = PopupMenu1Popup
-    Left = 605
-    Top = 200
+    OnPopup = PopupMenu3Popup
+    Left = 597
+    Top = 344
     object Print2: TMenuItem
       Caption = 'Print'
@@ -1134,19 +1087,18 @@
       OnClick = SelectAll2Click
     end
-    object MenuItem1: TMenuItem
+    object GoToTop1: TMenuItem
       Caption = 'Go to Top'
-      Enabled = False
       OnClick = GotoTop1Click
     end
-    object MenuItem2: TMenuItem
+    object GoToBottom1: TMenuItem
       Caption = 'Go to Bottom'
       OnClick = GotoBottom1Click
     end
-    object MenuItem3: TMenuItem
+    object FreezeText1: TMenuItem
       Caption = 'Freeze Text'
       Enabled = False
       OnClick = FreezeText1Click
     end
-    object MenuItem4: TMenuItem
+    object UnFreezeText1: TMenuItem
       Caption = 'Un-Freeze Text'
       Enabled = False
